note 72295 added to ref.datetime

From: Date: Thu, 11 Jan 2007 21:33:22 +0000
Subject: note 72295 added to ref.datetime
Groups: php.notes 
Request: Send a blank email to php-notes+get-121564@lists.php.net to get a copy of this message
PHP 5.2.0 introduces a new class: DateTime. I haven't figured out the method arguments yet, but I'm sure they're simple enough for anyone to figure out. <?php class DateTime { public const ATOM = 'Y-m-d\TH:i:sP'; public const COOKIE = 'l, d-M-y H:i:s T'; public const ISO8601 = 'Y-m-d\TH:i:sO'; public const RFC822 = 'D, d M y H:i:s O'; public const RFC850 = 'l, d-M-y H:i:s T'; public const RFC1036 = 'D, d M y H:i:s O'; public const RFC1123 = 'D, d M Y H:i:s O'; public const RFC2822 = 'D, d M Y H:i:s O'; public const RFC3339 = 'Y-m-d\TH:i:sP'; public const RSS = 'D, d M Y H:i:s O'; public const W3C = 'Y-m-d\TH:i:sP'; public function __construct(); public function format(); public function modify(); public function getTimezone(); public function setTimezone(); public function getOffset(); public function setTime(); public function setDate(); public function setISODate(); } ?> ---- Server IP: 64.71.164.2 Probable Submitter: 68.190.32.83 ---- Manual Page -- http://www.php.net/manual/en/ref.datetime.php Edit -- https://master.php.net/note/edit/72295 Del: integrated -- https://master.php.net/note/delete/72295/integrated Del: useless -- https://master.php.net/note/delete/72295/useless Del: bad code -- https://master.php.net/note/delete/72295/bad+code Del: spam -- https://master.php.net/note/delete/72295/spam Del: non-english -- https://master.php.net/note/delete/72295/non-english Del: in docs -- https://master.php.net/note/delete/72295/in+docs Del: other reasons-- https://master.php.net/note/delete/72295 Reject -- https://master.php.net/note/reject/72295 Search -- https://master.php.net/manage/user-notes.php

« previous php.notes (#121564) next »